Subject: implementations of "XML Voucher: Generic Voucher Language" ?
From: Rachel Willmer <[email-masked]>
To: [email-masked]
Date: Wed, 28 Feb 2001 16:20:58 +0000

Have there been any implementations of this Internet Draft on "XML Voucher: 
Generic Voucher Language" ?

Thanks
Rachel

Date: Wed, 28 Feb 2001 06:58:53 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-iotp2-req-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_XB9HhbkFLUSb59wbH7REBw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Internet Open Trading Protocol Version 2 Requirements
	Author(s)	: D. Eastlake
	Filename	: draft-ietf-trade-iotp2-req-00.txt
	Pages		: 7
	Date		: 27-Feb-01
	
Verion 2 of the Internet Open Trading Protocol (IOTP) will extend the
interoperable framework for Internet commerce capabilities of Version
1 while replacing the XML messaging and digitial signature part of
IOTP v1 with standards based mechanisms

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-iotp2-req-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-iotp2-req-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-iotp2-req-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_XB9HhbkFLUSb59wbH7REBw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)"

--Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-iotp2-req-00.txt

--Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org; name=draft-ietf-trade-iotp2-req-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)--

--Boundary_(ID_XB9HhbkFLUSb59wbH7REBw)--

Date: Tue, 27 Feb 2001 06:53:37 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-spec-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_6wk3V8ed31iU9w7yykkWuw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Specification
	Author(s)	: J. Parsons
	Filename	: draft-ietf-trade-ecml2-spec-00.txt
	Pages		: 19
	Date		: 26-Feb-01
	
Electronic commerce frequently requires a substantial exchange of
information in order to complete a purchase or other transaction,
especially the first time the parties communicate. A standard set of
hierarchicly organized payment related information fields in an XML
syntax are defined as the second version of an Electronic Commerce
Modeling Language (ECML) so that this task can be more easily
automated, for example by wallet software

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-spec-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-spec-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-ecml2-spec-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_6wk3V8ed31iU9w7yykkWuw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)"

--Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-ecml2-spec-00.txt

--Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-ecml2-spec-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)--

--Boundary_(ID_6wk3V8ed31iU9w7yykkWuw)--

Date: Thu, 22 Feb 2001 07:04:37 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-voucher-lang-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_TMbH5m43JRoiX5tjn8wkIw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: XML Voucher: Generic Voucher Language
	Author(s)	: K. Fujimura
	Filename	: draft-ietf-trade-voucher-lang-00.txt
	Pages		: 8
	Date		: 21-Feb-01
	
This document specifies rules for defining voucher properties in
XML syntax. A voucher is a logical entity that represents a right
to claim goods or services. A voucher can be used to transfer a
wide-range of electronic-values, including coupons, tickets,
loyalty points, and gift certificates, which are often necessary to
process in the course of payment and/or delivery transactions.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-voucher-lang-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-voucher-lang-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-voucher-lang-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_TMbH5m43JRoiX5tjn8wkIw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)"

--Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-voucher-lang-00.txt

--Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-voucher-lang-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)--

--Boundary_(ID_TMbH5m43JRoiX5tjn8wkIw)--

Date: Mon, 19 Feb 2001 16:22:34 +0700
From: "Rahmat M. Samik-Ibrahim" <[email-masked]>
Subject: draft-ietf-trade-ecml2-req-00.txt
Sender: [email-masked]
To: [email-masked]
Cc: [email-masked]
Organization: VLSM-TJT

Hello:

Some comments about draft-ietf-trade-ecml2-req-00.txt

> Copyright (C) 2000, The Internet Society.  
s/2000/2001 :-)

> 2. Design Principles and Scope
>    3. Maintain all existing functionality from ECML v1.1.

Can ecml2 be considered as a superset of ecml1.1 ? If yes, 
perhaps it would be more clear if you state that
in section 1.1.

The IESG's note in ECML1.1 was "As such it is unlikely to be 
suitable for international or multilingual use in the
global Internet." Will ECML2 cope this issue?

regards,

-- 
Rahmat M. Samik-Ibrahim - VLSM-TJT - http://rms46.vlsm.org
- Don't cry for me, Nusantara;the truth is that I never...

Date: Fri, 16 Feb 2001 06:54:14 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-drt-requirements-02.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_XudJ/55odVyX987kejUkWw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Requirements for Generic Voucher Trading
	Author(s)	: K. Fujimura
	Filename	: draft-ietf-trade-drt-requirements-02.txt
	Pages		: 11
	Date		: 15-Feb-01
	
In purchase and other trading transactions, it is often required to 
credit loyalty points, collect digital coupons or gift certificates, 
and so on.  These activities can be generalized using the concept of
a 'voucher', which is a digital representation of the right to claim
goods or services.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-drt-requirements-02.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-drt-requirements-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-drt-requirements-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_XudJ/55odVyX987kejUkWw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)"

--Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-drt-requirements-02.txt

--Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-drt-requirements-02.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)--

--Boundary_(ID_XudJ/55odVyX987kejUkWw)--

Date: Thu, 15 Feb 2001 06:47:30 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-req-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_s1Hu6oJSJa46UvWjcaMYbg)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Requirements
	Author(s)	: J. Parsons, D. Shepherd, D. Eastlake
	Filename	: draft-ietf-trade-ecml2-req-00.txt
	Pages		: 9
	Date		: 14-Feb-01
	
This document lists the design principles, scope, and requirements
for the Electronic Commerce Modeling Language (ECML) version 2
specification. It includes requirements as they relate to XML syntax,
data model, format, payment processing, and external requirements.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-req-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-req-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-ecml2-req-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_s1Hu6oJSJa46UvWjcaMYbg)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)"

--Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-ecml2-req-00.txt

--Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org; name=draft-ietf-trade-ecml2-req-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)--

--Boundary_(ID_s1Hu6oJSJa46UvWjcaMYbg)--

Date: Wed, 14 Feb 2001 22:24:08 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: Re: "Rights" naming
To: [email-masked]
Cc: [email-masked]

What objections do people have to "voucher"?

Thanks,
Donald

>Renato Iannella wrote:
>> 
>> --On 3/1/01 4:24 PM -0500 Donald E. Eastlake 3rd wrote:
>> 
>> > As far as I know, the only point
>> > in controversy is the name of the things for which trading
>> > requirements are given.  Suggestions have included digital rights,
>> > electronic rights, trading right, entitlement, coupon, and certificate
>> > as well as generic rights.  But most suggestions have some particular
>> > problem as well.  Unless there is a consensus to change, as show by
>> > discussion on this mailing list, we will stick with the current
>> > terminology.
>> 
>> I still believe that using "rights" is misleading for this document.
>> A more appropriate term would be "voucher". (In fact, you should be
>> able to do a string find/replace through-out the whole document.)
>>...
>> 
>> Cheers...Renato                       <http://purl.net/net/renato>
>> Chief Scientist, IPR Systems Pty Ltd       <http://iprsystems.com>
>> W3C Workshop on Digital Rights <http://w3.org/2000/11/w3c-drm-cfp>
>> 
>> ...

Date: Wed, 14 Feb 2001 17:00:35 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: updated ECML v2 Requirements drafts
To: [email-masked]
Cc: [email-masked]

An updated version of the ECML v2 requirements draft has been
submitted.  While it is finding its way into the internet-drafts
directory, you can get it from
<ftp://ftp.pothole.com/pub/ietf-trade/draft-ietf-trade-ecml2-req-01.txt>.

This will no doubt be an agenda item at the Minnepaolis meeting but
there is time for one more revision before then.  So if you have
comments, it would be good to post them by Monday, Feb. 19th.

Thanks,
Doanld

=====================================================================
 Donald E. Eastlake 3rd                      [email-masked]
 155 Beaver Street                                +1 508-634-2066(h)
 Milford, MA 01757 USA                            +1 508-261-5434(w)

Date: Mon, 12 Feb 2001 11:25:21 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: TRADE WG Charter, Meeting in Minneapolis
To: [email-masked]
Cc: [email-masked]

The TRADE WG Charter has finally been updated.  It is at
<http://www.ietf.org/html.charters/trade-charter.html> except that it
still lists Surendra Reddy as WG Editor.  He has not been doing that
from some time and should not be listed.

The TRADE WG meeting at the 50th IETF Meeting in Minneapolis
<http://www.ietf.org/meetings/IETF-50.html> has been tentatively
scheduled for Wednesday afternoon, March 21, 1300-1500 hours.  People
should send me agenda suggestions.

Thanks,
Donald
=====================================================================
 Donald E. Eastlake 3rd                      [email-masked]
 155 Beaver Street                                +1 508-634-2066(h)
 Milford, MA 01757 USA                            +1 508-261-5434(w)

Date: Tue, 06 Feb 2001 21:47:33 +0900 (JST)
From: Yoshiaki KAWATSURA <[email-masked]>
Subject: Re: Can't validate DTD (RFC 2801)
To: [email-masked]
Cc: [email-masked]
Cc: [email-masked]
Lines: 60

Herald,
ANY in Attribute attribute is in contentSpec, not entity.
So this DTD in RFC2801 has a mistake.

----
Yoshiaki Kawatsura : E-mail [email-masked]
 Business Solution Systems Division, Hitachi,Ltd.
Voice: +81-44-549-1713(direct) Fax: +81-44-549-1721

> Trying to validate the DTD of the IOTP (section 13 from RFC 2801) with XML SPY (version 3.5 registered),
> an error has been reported by the parser. The error message is: "Element ANY is undefined" and it references
> to line 44, page 275 of the RFC (section 13). The element is "Attribute" and this is the definition:
> 
> <!ELEMENT Attribute ( ANY ) >
> <!ATTLIST Attribute
>     type                   NMTOKEN             #REQUIRED
>     critical                ( true | false )         #REQUIRED
> >
> 
> The problem is in "( ANY )". I have found in http://www.w3.org/ the standard "Extensible Markup Language (XML) 1.0 (Second Edition)" 
> and at section 3.2 "Element Type Declarations" (p. 21, 22 and 23) I have found the gramatical definition of an element declaration as
> shown below.
> 
> elementdecl ::= '<!ELEMENT' S Name S contentspec S ? '>'
> 
> contentspec ::= 'EMPTY' | 'ANY' | Mixed | children 
> 
> Mixed ::= '(' S ? '#PCDATA' (S ? '|' S ? Name )* S ? ')*' | '(' S ? '#PCDATA' S ? ')'
> 
> children ::= (choice | seq ) ('?' | '*' | '+')?
> 
> cp ::= (Name | choice | seq) ('?' | '*' | '+')?
> 
> choice ::= '(' S ? cp ( S ? '|' S ? cp )+ S ? ')'
> 
> seq ::= '(' S ? cp ( S ? ',' S ? cp )* S ? ')'
> 
> where S is the space character (' ') and Name is a string of characters.  
> 
> As you can see the definition of "Attribute" does not match the gramatical definition of an element declaration, if "ANY" is 
> not a Name.
> 
> So, these are my questions to the list members:
> 
> Is ANY a Name? If it is, where is the definition of the Name "ANY"?
> Is this a mistake?
> May be the parentheses of  "( ANY )" are wrong?
> Is April-2000 the latest version of the RFC 2801?
> 
> Thank you.
> 
> ---
> Harald Barrera Dubois
> CRIPTOLAB Research Group. (http://tirnanog.ls.fi.upm.es )
> Computer Science High School (http://www.fi.upm.es )
> Politechnical University of Madrid (http://www.upm.es )
> SPAIN
> 
>  
> 

Date: Tue, 06 Feb 2001 11:27:50 +0100
From: Harald Barrera Dubois <[email-masked]>
Subject: Can't validate DTD (RFC 2801)
To: [email-masked]

This is a multi-part message in MIME format.

--Boundary_(ID_ussdMZEX8UOhlsAdRH1ChA)
Content-type: text/plain
Content-transfer-encoding: QUOTED-PRINTABLE

Hello.

Trying to validate the DTD of the IOTP (section 13 from RFC 2801) wit=
h XML SPY (version 3.5 registered),
an error has been reported by the parser. The error message is: "Elem=
ent ANY is undefined" and it references
to line 44, page 275 of the RFC (section 13). The element is "Attribu=
te" and this is the definition:

<!ELEMENT Attribute ( ANY ) >
<!ATTLIST Attribute
    type                   NMTOKEN             #REQUIRED
    critical                ( true | false )         #REQUIRED
>

The problem is in "( ANY )". I have found in http://www.w3.org/ the s=
tandard "Extensible Markup Language (XML) 1.0 (Second Edition)"=20
and at section 3.2 "Element Type Declarations" (p. 21, 22 and 23) I h=
ave found the gramatical definition of an element declaration as
shown below.

elementdecl ::=3D '<!ELEMENT' S Name S contentspec S ? '>'

contentspec ::=3D 'EMPTY' | 'ANY' | Mixed | children=20

Mixed ::=3D '(' S ? '#PCDATA' (S ? '|' S ? Name )* S ? ')*' | '(' S ?=
 '#PCDATA' S ? ')'

children ::=3D (choice | seq ) ('?' | '*' | '+')?

cp ::=3D (Name | choice | seq) ('?' | '*' | '+')?

choice ::=3D '(' S ? cp ( S ? '|' S ? cp )+ S ? ')'

seq ::=3D '(' S ? cp ( S ? ',' S ? cp )* S ? ')'

where S is the space character (' ') and Name is a string of characte=
rs. =20

As you can see the definition of "Attribute" does not match the grama=
tical definition of an element declaration, if "ANY" is=20
not a Name.

So, these are my questions to the list members:

Is ANY a Name? If it is, where is the definition of the Name "ANY"?
Is this a mistake?
May be the parentheses of  "( ANY )" are wrong?
Is April-2000 the latest version of the RFC 2801?

Thank you.

---
Harald Barrera Dubois
CRIPTOLAB Research Group. (http://tirnanog.ls.fi.upm.es )
Computer Science High School (http://www.fi.upm.es )
Politechnical University of Madrid (http://www.upm.es )
SPAIN

=20

--Boundary_(ID_ussdMZEX8UOhlsAdRH1ChA)
Content-type: text/html; charset=iso-8859-1
Content-transfer-encoding: QUOTED-PRINTABLE

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; charset=3Diso-8=
859-1">
<META content=3D"MSHTML 5.50.4522.1800" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT size=3D2>
<DIV><FONT size=3D2>Hello.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>Trying to validate the DTD of the IOTP (section 1=
3 from RFC=20
2801) with XML SPY (version 3.5 registered),</FONT></DIV>
<DIV><FONT size=3D2>an error has been reported by the parser. The err=
or message=20
is: "Element ANY is undefined" and it references</FONT></DIV>
<DIV><FONT size=3D2>to line 44, page 275 of the RFC (section 13). The=
 element is=20
"Attribute" and this is the definition:</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>&lt;!ELEMENT Attribute ( ANY ) &gt;<BR>&lt;!ATTLI=
ST=20
Attribute<BR>&nbsp;&nbsp;&nbsp;=20
type&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=20
NMTOKEN&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;=20
#REQUIRED<BR>&nbsp;&nbsp;&nbsp;=20
critical&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;=20
&nbsp;&nbsp;&nbsp; ( true | false )&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nb=
sp;&nbsp;=20
#REQUIRED<BR>&gt;</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>The problem is in "( ANY )". I have found in <A=
=20
href=3D"http://www.w3.org/">http://www.w3.org/</A> the standard "Exte=
nsible Markup=20
Language (XML) 1.0 (Second Edition)" </FONT><FONT size=3D2></FONT></D=
IV>
<DIV><FONT size=3D2>and at section 3.2 "Element Type Declarations" (p=
. 21, 22 and=20
23)&nbsp;I have&nbsp;found the gramatical definition of an element de=
claration=20
as</FONT></DIV>
<DIV><FONT size=3D2>shown below.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>elementdecl ::=3D &#8217;&lt;!ELEMENT&#8217; S&nb=
sp;Name</FONT><FONT=20
size=3D2>&nbsp;S&nbsp;contentspec</FONT><FONT size=3D2>&nbsp;S&nbsp;?=
=20
&#8217;&gt;&#8217;</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>contentspec ::=3D &#8217;EMPTY&#8217; | &#8217;AN=
Y&#8217; | Mixed</FONT><FONT=20
size=3D2>&nbsp;| children </FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV><FONT size=3D2><FONT face=3DCo=
urier=20
size=3D3><FONT face=3DArial size=3D2>
<DIV>Mixed <FONT face=3D"Times New Roman" size=3D3><FONT face=3DArial=
 size=3D2>::=3D=20
</FONT></FONT>&#8217;(&#8217; S&nbsp;? &#8217;#PCDATA&#8217; (S&nbsp;=
</FONT><FONT face=3DArial size=3D2>?=20
&#8217;|&#8217; S&nbsp;? Name )* S&nbsp;</FONT><FONT face=3DArial siz=
e=3D2>? &#8217;)*&#8217; </FONT><FONT=20
face=3DArial size=3D2>| &#8217;(&#8217; S&nbsp;? &#8217;#PCDATA&#8217=
; S&nbsp;</FONT><FONT face=3DArial=20
size=3D2>? &#8217;)&#8217;</FONT></DIV></FONT></FONT>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>children ::=3D </FONT><FONT face=3DCourier size=
=3D3><FONT face=3DArial=20
size=3D2>(choice&nbsp;| seq&nbsp;) </FONT><FONT face=3DArial size=
=3D2>(&#8217;?&#8217; | &#8217;*&#8217; |=20
&#8217;+&#8217;)?</FONT></FONT></DIV>
<DIV><FONT face=3DCourier size=3D3><FONT face=3DArial=20
size=3D2></FONT>&nbsp;</DIV></FONT>
<DIV><FONT size=3D2>cp ::=3D </FONT><FONT face=3DCourier size=3D3><FO=
NT face=3DArial=20
size=3D2>(Name&nbsp;| choice&nbsp;| </FONT><FONT face=3DArial size=
=3D2>seq) (&#8217;?&#8217; | &#8217;*&#8217;=20
| </FONT><FONT face=3DArial size=3D2>&#8217;+&#8217;)?</FONT></DIV></=
FONT>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>choice ::=3D </FONT><FONT face=3DCourier size=
=3D3><FONT face=3DArial=20
size=3D2>&#8217;(&#8217; S&nbsp;? cp&nbsp;( S&nbsp;</FONT><FONT face=
=3DArial size=3D2>? &#8217;|&#8217;=20
S&nbsp;? cp&nbsp;</FONT><FONT face=3DArial size=3D2>)+ S&nbsp;?=20
&#8217;)&#8217;</FONT></DIV></FONT><FONT face=3D"Times New Roman" siz=
e=3D3>
<DIV><FONT face=3DArial size=3D2></FONT><FONT face=3DArial size=3D2><=
/FONT></FONT><FONT=20
size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>seq ::=3D </FONT><FONT face=3DCourier size=3D3><F=
ONT face=3DArial=20
size=3D2>&#8217;(&#8217; S&nbsp;? cp&nbsp;( S&nbsp;</FONT><FONT face=
=3DArial size=3D2>? &#8217;,&#8217;=20
S&nbsp;? cp&nbsp;</FONT><FONT face=3DArial size=3D2>)* S&nbsp;?=20
&#8217;)&#8217;</FONT></DIV></FONT>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>where S is the space character (' ') and Name is =
a string of=20
characters.&nbsp; </FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>As you can see the definition of "Attribute" does=
 not match=20
the gramatical definition of an element declaration, if "ANY" is </FO=
NT></DIV>
<DIV>not a Name.</DIV>
<DIV>&nbsp;</DIV>
<DIV>So, these are my questions to the list members:</DIV>
<DIV>&nbsp;</DIV>
<DIV><FONT size=3D2>Is ANY a Name? If it is, where is&nbsp;the defini=
tion of the=20
Name "ANY"?</FONT></DIV>
<DIV><FONT size=3D2>Is this a mistake?</FONT></DIV>
<DIV><FONT size=3D2>May be the parentheses of&nbsp; "( ANY )" are=
=20
wrong?</FONT></DIV>
<DIV><FONT size=3D2>Is April-2000&nbsp;the latest version of the RFC=
=20
2801?</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>Thank you.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>---</FONT></DIV>
<DIV><FONT size=3D2>Harald Barrera Dubois</FONT></DIV>
<DIV><FONT size=3D2>CRIPTOLAB Research Group. (<A=20
href=3D"http://tirnanog.ls.fi.upm.es">http://tirnanog.ls.fi.upm.es</A=
>=20
)</FONT></DIV>
<DIV><FONT size=3D2>Computer Science High School (<A=20
href=3D"http://www.fi.upm.es">http://www.fi.upm.es</A> )</FONT></DIV>
<DIV><FONT size=3D2>Politechnical University of Madrid </FONT><FONT s=
ize=3D2>(<A=20
href=3D"http://www.upm.es">http://www.upm.es</A> )</FONT></DIV>
<DIV><FONT size=3D2>SPAIN</FONT></DIV>
<DIV><FONT size=3D2><BR></FONT>&nbsp;</DIV></FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV></BODY></HTML>

--Boundary_(ID_ussdMZEX8UOhlsAdRH1ChA)--

Date: Wed, 28 Feb 2001 16:20:58 +0000
From: Rachel Willmer <[email-masked]>
Subject: implementations of "XML Voucher: Generic Voucher Language" ?
To: [email-masked]

Have there been any implementations of this Internet Draft on "XML Voucher: 
Generic Voucher Language" ?

Thanks
Rachel

Date: Wed, 28 Feb 2001 06:58:53 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-iotp2-req-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_XB9HhbkFLUSb59wbH7REBw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Internet Open Trading Protocol Version 2 Requirements
	Author(s)	: D. Eastlake
	Filename	: draft-ietf-trade-iotp2-req-00.txt
	Pages		: 7
	Date		: 27-Feb-01
	
Verion 2 of the Internet Open Trading Protocol (IOTP) will extend the
interoperable framework for Internet commerce capabilities of Version
1 while replacing the XML messaging and digitial signature part of
IOTP v1 with standards based mechanisms

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-iotp2-req-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-iotp2-req-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-iotp2-req-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_XB9HhbkFLUSb59wbH7REBw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)"

--Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-iotp2-req-00.txt

--Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org; name=draft-ietf-trade-iotp2-req-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_0DKJSPcqE+17Mm2fdnTNHQ)--

--Boundary_(ID_XB9HhbkFLUSb59wbH7REBw)--

Date: Tue, 27 Feb 2001 06:53:37 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-spec-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_6wk3V8ed31iU9w7yykkWuw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Specification
	Author(s)	: J. Parsons
	Filename	: draft-ietf-trade-ecml2-spec-00.txt
	Pages		: 19
	Date		: 26-Feb-01
	
Electronic commerce frequently requires a substantial exchange of
information in order to complete a purchase or other transaction,
especially the first time the parties communicate. A standard set of
hierarchicly organized payment related information fields in an XML
syntax are defined as the second version of an Electronic Commerce
Modeling Language (ECML) so that this task can be more easily
automated, for example by wallet software

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-spec-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-spec-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-ecml2-spec-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_6wk3V8ed31iU9w7yykkWuw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)"

--Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-ecml2-spec-00.txt

--Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-ecml2-spec-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_R7FN+dkOj1juXUl7KAX+xw)--

--Boundary_(ID_6wk3V8ed31iU9w7yykkWuw)--

Date: Thu, 22 Feb 2001 07:04:37 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-voucher-lang-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_TMbH5m43JRoiX5tjn8wkIw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: XML Voucher: Generic Voucher Language
	Author(s)	: K. Fujimura
	Filename	: draft-ietf-trade-voucher-lang-00.txt
	Pages		: 8
	Date		: 21-Feb-01
	
This document specifies rules for defining voucher properties in
XML syntax. A voucher is a logical entity that represents a right
to claim goods or services. A voucher can be used to transfer a
wide-range of electronic-values, including coupons, tickets,
loyalty points, and gift certificates, which are often necessary to
process in the course of payment and/or delivery transactions.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-voucher-lang-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-voucher-lang-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-voucher-lang-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_TMbH5m43JRoiX5tjn8wkIw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)"

--Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-voucher-lang-00.txt

--Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-voucher-lang-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_2KlRmB4eeFRwNvgXOsvtjg)--

--Boundary_(ID_TMbH5m43JRoiX5tjn8wkIw)--

Date: Mon, 19 Feb 2001 16:22:34 +0700
From: "Rahmat M. Samik-Ibrahim" <[email-masked]>
Subject: draft-ietf-trade-ecml2-req-00.txt
Sender: [email-masked]
To: [email-masked]
Cc: [email-masked]
Organization: VLSM-TJT

Hello:

Some comments about draft-ietf-trade-ecml2-req-00.txt

> Copyright (C) 2000, The Internet Society.  
s/2000/2001 :-)

> 2. Design Principles and Scope
>    3. Maintain all existing functionality from ECML v1.1.

Can ecml2 be considered as a superset of ecml1.1 ? If yes, 
perhaps it would be more clear if you state that
in section 1.1.

The IESG's note in ECML1.1 was "As such it is unlikely to be 
suitable for international or multilingual use in the
global Internet." Will ECML2 cope this issue?

regards,

-- 
Rahmat M. Samik-Ibrahim - VLSM-TJT - http://rms46.vlsm.org
- Don't cry for me, Nusantara;the truth is that I never...

Date: Fri, 16 Feb 2001 06:54:14 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-drt-requirements-02.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_XudJ/55odVyX987kejUkWw)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Requirements for Generic Voucher Trading
	Author(s)	: K. Fujimura
	Filename	: draft-ietf-trade-drt-requirements-02.txt
	Pages		: 11
	Date		: 15-Feb-01
	
In purchase and other trading transactions, it is often required to 
credit loyalty points, collect digital coupons or gift certificates, 
and so on.  These activities can be generalized using the concept of
a 'voucher', which is a digital representation of the right to claim
goods or services.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-drt-requirements-02.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-drt-requirements-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-drt-requirements-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_XudJ/55odVyX987kejUkWw)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)"

--Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-drt-requirements-02.txt

--Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org;
 name=draft-ietf-trade-drt-requirements-02.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_vAp6HHmF5JeulNdj6OTmFA)--

--Boundary_(ID_XudJ/55odVyX987kejUkWw)--

Date: Thu, 15 Feb 2001 06:47:30 -0500
From: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-ecml2-req-00.txt
Sender: [email-masked]
To: IETF-Announce: ;
Cc: [email-masked]
Reply-to: [email-masked]

--Boundary_(ID_s1Hu6oJSJa46UvWjcaMYbg)
Content-type: TEXT/PLAIN

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: Electronic Commerce Modeling Language (ECML):Version 2
                          Requirements
	Author(s)	: J. Parsons, D. Shepherd, D. Eastlake
	Filename	: draft-ietf-trade-ecml2-req-00.txt
	Pages		: 9
	Date		: 14-Feb-01
	
This document lists the design principles, scope, and requirements
for the Electronic Commerce Modeling Language (ECML) version 2
specification. It includes requirements as they relate to XML syntax,
data model, format, payment processing, and external requirements.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-req-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-ecml2-req-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-ecml2-req-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--Boundary_(ID_s1Hu6oJSJa46UvWjcaMYbg)
Content-type: multipart/alternative;
 boundary="Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)"

--Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)
Content-type: Message/External-body; server="[email-masked]";
 access-type=mail-server

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-trade-ecml2-req-00.txt

--Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)
Content-type: Message/External-body; directory=internet-drafts;
 access-type=anon-ftp; site=ftp.ietf.org; name=draft-ietf-trade-ecml2-req-00.txt

Content-Type: text/plain
Content-ID:	<[email-masked]>

--Boundary_(ID_Ou9MtG6+nVcC8+yt0wUW/A)--

--Boundary_(ID_s1Hu6oJSJa46UvWjcaMYbg)--

Date: Wed, 14 Feb 2001 22:24:08 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: Re: "Rights" naming
To: [email-masked]
Cc: [email-masked]

What objections do people have to "voucher"?

Thanks,
Donald

>Renato Iannella wrote:
>> 
>> --On 3/1/01 4:24 PM -0500 Donald E. Eastlake 3rd wrote:
>> 
>> > As far as I know, the only point
>> > in controversy is the name of the things for which trading
>> > requirements are given.  Suggestions have included digital rights,
>> > electronic rights, trading right, entitlement, coupon, and certificate
>> > as well as generic rights.  But most suggestions have some particular
>> > problem as well.  Unless there is a consensus to change, as show by
>> > discussion on this mailing list, we will stick with the current
>> > terminology.
>> 
>> I still believe that using "rights" is misleading for this document.
>> A more appropriate term would be "voucher". (In fact, you should be
>> able to do a string find/replace through-out the whole document.)
>>...
>> 
>> Cheers...Renato                       <http://purl.net/net/renato>
>> Chief Scientist, IPR Systems Pty Ltd       <http://iprsystems.com>
>> W3C Workshop on Digital Rights <http://w3.org/2000/11/w3c-drm-cfp>
>> 
>> ...

Date: Wed, 14 Feb 2001 17:00:35 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: updated ECML v2 Requirements drafts
To: [email-masked]
Cc: [email-masked]

An updated version of the ECML v2 requirements draft has been
submitted.  While it is finding its way into the internet-drafts
directory, you can get it from
<ftp://ftp.pothole.com/pub/ietf-trade/draft-ietf-trade-ecml2-req-01.txt>.

This will no doubt be an agenda item at the Minnepaolis meeting but
there is time for one more revision before then.  So if you have
comments, it would be good to post them by Monday, Feb. 19th.

Thanks,
Doanld

=====================================================================
 Donald E. Eastlake 3rd                      [email-masked]
 155 Beaver Street                                +1 508-634-2066(h)
 Milford, MA 01757 USA                            +1 508-261-5434(w)

Date: Mon, 12 Feb 2001 11:25:21 -0500
From: "Donald E. Eastlake 3rd" <[email-masked]>
Subject: TRADE WG Charter, Meeting in Minneapolis
To: [email-masked]
Cc: [email-masked]

The TRADE WG Charter has finally been updated.  It is at
<http://www.ietf.org/html.charters/trade-charter.html> except that it
still lists Surendra Reddy as WG Editor.  He has not been doing that
from some time and should not be listed.

The TRADE WG meeting at the 50th IETF Meeting in Minneapolis
<http://www.ietf.org/meetings/IETF-50.html> has been tentatively
scheduled for Wednesday afternoon, March 21, 1300-1500 hours.  People
should send me agenda suggestions.

Thanks,
Donald
=====================================================================
 Donald E. Eastlake 3rd                      [email-masked]
 155 Beaver Street                                +1 508-634-2066(h)
 Milford, MA 01757 USA                            +1 508-261-5434(w)

Date: Tue, 06 Feb 2001 21:47:33 +0900 (JST)
From: Yoshiaki KAWATSURA <[email-masked]>
Subject: Re: Can't validate DTD (RFC 2801)
To: [email-masked]
Cc: [email-masked]
Cc: [email-masked]
Lines: 60

Herald,
ANY in Attribute attribute is in contentSpec, not entity.
So this DTD in RFC2801 has a mistake.

----
Yoshiaki Kawatsura : E-mail [email-masked]
 Business Solution Systems Division, Hitachi,Ltd.
Voice: +81-44-549-1713(direct) Fax: +81-44-549-1721

> Trying to validate the DTD of the IOTP (section 13 from RFC 2801) with XML SPY (version 3.5 registered),
> an error has been reported by the parser. The error message is: "Element ANY is undefined" and it references
> to line 44, page 275 of the RFC (section 13). The element is "Attribute" and this is the definition:
> 
> <!ELEMENT Attribute ( ANY ) >
> <!ATTLIST Attribute
>     type                   NMTOKEN             #REQUIRED
>     critical                ( true | false )         #REQUIRED
> >
> 
> The problem is in "( ANY )". I have found in http://www.w3.org/ the standard "Extensible Markup Language (XML) 1.0 (Second Edition)" 
> and at section 3.2 "Element Type Declarations" (p. 21, 22 and 23) I have found the gramatical definition of an element declaration as
> shown below.
> 
> elementdecl ::= '<!ELEMENT' S Name S contentspec S ? '>'
> 
> contentspec ::= 'EMPTY' | 'ANY' | Mixed | children 
> 
> Mixed ::= '(' S ? '#PCDATA' (S ? '|' S ? Name )* S ? ')*' | '(' S ? '#PCDATA' S ? ')'
> 
> children ::= (choice | seq ) ('?' | '*' | '+')?
> 
> cp ::= (Name | choice | seq) ('?' | '*' | '+')?
> 
> choice ::= '(' S ? cp ( S ? '|' S ? cp )+ S ? ')'
> 
> seq ::= '(' S ? cp ( S ? ',' S ? cp )* S ? ')'
> 
> where S is the space character (' ') and Name is a string of characters.  
> 
> As you can see the definition of "Attribute" does not match the gramatical definition of an element declaration, if "ANY" is 
> not a Name.
> 
> So, these are my questions to the list members:
> 
> Is ANY a Name? If it is, where is the definition of the Name "ANY"?
> Is this a mistake?
> May be the parentheses of  "( ANY )" are wrong?
> Is April-2000 the latest version of the RFC 2801?
> 
> Thank you.
> 
> ---
> Harald Barrera Dubois
> CRIPTOLAB Research Group. (http://tirnanog.ls.fi.upm.es )
> Computer Science High School (http://www.fi.upm.es )
> Politechnical University of Madrid (http://www.upm.es )
> SPAIN
> 
>  
> 

Date: Tue, 06 Feb 2001 11:27:50 +0100
From: Harald Barrera Dubois <[email-masked]>
Subject: Can't validate DTD (RFC 2801)
To: [email-masked]

This is a multi-part message in MIME format.

--Boundary_(ID_ussdMZEX8UOhlsAdRH1ChA)
Content-type: text/plain
Content-transfer-encoding: QUOTED-PRINTABLE

Hello.

Trying to validate the DTD of the IOTP (section 13 from RFC 2801) wit=
h XML SPY (version 3.5 registered),
an error has been reported by the parser. The error message is: "Elem=
ent ANY is undefined" and it references
to line 44, page 275 of the RFC (section 13). The element is "Attribu=
te" and this is the definition:

<!ELEMENT Attribute ( ANY ) >
<!ATTLIST Attribute
    type                   NMTOKEN             #REQUIRED
    critical                ( true | false )         #REQUIRED
>

The problem is in "( ANY )". I have found in http://www.w3.org/ the s=
tandard "Extensible Markup Language (XML) 1.0 (Second Edition)"=20
and at section 3.2 "Element Type Declarations" (p. 21, 22 and 23) I h=
ave found the gramatical definition of an element declaration as
shown below.

elementdecl ::=3D '<!ELEMENT' S Name S contentspec S ? '>'

contentspec ::=3D 'EMPTY' | 'ANY' | Mixed | children=20

Mixed ::=3D '(' S ? '#PCDATA' (S ? '|' S ? Name )* S ? ')*' | '(' S ?=
 '#PCDATA' S ? ')'

children ::=3D (choice | seq ) ('?' | '*' | '+')?

cp ::=3D (Name | choice | seq) ('?' | '*' | '+')?

choice ::=3D '(' S ? cp ( S ? '|' S ? cp )+ S ? ')'

seq ::=3D '(' S ? cp ( S ? ',' S ? cp )* S ? ')'

where S is the space character (' ') and Name is a string of characte=
rs. =20

As you can see the definition of "Attribute" does not match the grama=
tical definition of an element declaration, if "ANY" is=20
not a Name.

So, these are my questions to the list members:

Is ANY a Name? If it is, where is the definition of the Name "ANY"?
Is this a mistake?
May be the parentheses of  "( ANY )" are wrong?
Is April-2000 the latest version of the RFC 2801?

Thank you.

---
Harald Barrera Dubois
CRIPTOLAB Research Group. (http://tirnanog.ls.fi.upm.es )
Computer Science High School (http://www.fi.upm.es )
Politechnical University of Madrid (http://www.upm.es )
SPAIN

=20

--Boundary_(ID_ussdMZEX8UOhlsAdRH1ChA)
Content-type: text/html; charset=iso-8859-1
Content-transfer-encoding: QUOTED-PRINTABLE

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; charset=3Diso-8=
859-1">
<META content=3D"MSHTML 5.50.4522.1800" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT size=3D2>
<DIV><FONT size=3D2>Hello.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>Trying to validate the DTD of the IOTP (section 1=
3 from RFC=20
2801) with XML SPY (version 3.5 registered),</FONT></DIV>
<DIV><FONT size=3D2>an error has been reported by the parser. The err=
or message=20
is: "Element ANY is undefined" and it references</FONT></DIV>
<DIV><FONT size=3D2>to line 44, page 275 of the RFC (section 13). The=
 element is=20
"Attribute" and this is the definition:</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>&lt;!ELEMENT Attribute ( ANY ) &gt;<BR>&lt;!ATTLI=
ST=20
Attribute<BR>&nbsp;&nbsp;&nbsp;=20
type&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=20
NMTOKEN&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;=20
#REQUIRED<BR>&nbsp;&nbsp;&nbsp;=20
critical&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;=20
&nbsp;&nbsp;&nbsp; ( true | false )&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nb=
sp;&nbsp;=20
#REQUIRED<BR>&gt;</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>The problem is in "( ANY )". I have found in <A=
=20
href=3D"http://www.w3.org/">http://www.w3.org/</A> the standard "Exte=
nsible Markup=20
Language (XML) 1.0 (Second Edition)" </FONT><FONT size=3D2></FONT></D=
IV>
<DIV><FONT size=3D2>and at section 3.2 "Element Type Declarations" (p=
. 21, 22 and=20
23)&nbsp;I have&nbsp;found the gramatical definition of an element de=
claration=20
as</FONT></DIV>
<DIV><FONT size=3D2>shown below.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>elementdecl ::=3D &#8217;&lt;!ELEMENT&#8217; S&nb=
sp;Name</FONT><FONT=20
size=3D2>&nbsp;S&nbsp;contentspec</FONT><FONT size=3D2>&nbsp;S&nbsp;?=
=20
&#8217;&gt;&#8217;</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>contentspec ::=3D &#8217;EMPTY&#8217; | &#8217;AN=
Y&#8217; | Mixed</FONT><FONT=20
size=3D2>&nbsp;| children </FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV><FONT size=3D2><FONT face=3DCo=
urier=20
size=3D3><FONT face=3DArial size=3D2>
<DIV>Mixed <FONT face=3D"Times New Roman" size=3D3><FONT face=3DArial=
 size=3D2>::=3D=20
</FONT></FONT>&#8217;(&#8217; S&nbsp;? &#8217;#PCDATA&#8217; (S&nbsp;=
</FONT><FONT face=3DArial size=3D2>?=20
&#8217;|&#8217; S&nbsp;? Name )* S&nbsp;</FONT><FONT face=3DArial siz=
e=3D2>? &#8217;)*&#8217; </FONT><FONT=20
face=3DArial size=3D2>| &#8217;(&#8217; S&nbsp;? &#8217;#PCDATA&#8217=
; S&nbsp;</FONT><FONT face=3DArial=20
size=3D2>? &#8217;)&#8217;</FONT></DIV></FONT></FONT>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>children ::=3D </FONT><FONT face=3DCourier size=
=3D3><FONT face=3DArial=20
size=3D2>(choice&nbsp;| seq&nbsp;) </FONT><FONT face=3DArial size=
=3D2>(&#8217;?&#8217; | &#8217;*&#8217; |=20
&#8217;+&#8217;)?</FONT></FONT></DIV>
<DIV><FONT face=3DCourier size=3D3><FONT face=3DArial=20
size=3D2></FONT>&nbsp;</DIV></FONT>
<DIV><FONT size=3D2>cp ::=3D </FONT><FONT face=3DCourier size=3D3><FO=
NT face=3DArial=20
size=3D2>(Name&nbsp;| choice&nbsp;| </FONT><FONT face=3DArial size=
=3D2>seq) (&#8217;?&#8217; | &#8217;*&#8217;=20
| </FONT><FONT face=3DArial size=3D2>&#8217;+&#8217;)?</FONT></DIV></=
FONT>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>choice ::=3D </FONT><FONT face=3DCourier size=
=3D3><FONT face=3DArial=20
size=3D2>&#8217;(&#8217; S&nbsp;? cp&nbsp;( S&nbsp;</FONT><FONT face=
=3DArial size=3D2>? &#8217;|&#8217;=20
S&nbsp;? cp&nbsp;</FONT><FONT face=3DArial size=3D2>)+ S&nbsp;?=20
&#8217;)&#8217;</FONT></DIV></FONT><FONT face=3D"Times New Roman" siz=
e=3D3>
<DIV><FONT face=3DArial size=3D2></FONT><FONT face=3DArial size=3D2><=
/FONT></FONT><FONT=20
size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>seq ::=3D </FONT><FONT face=3DCourier size=3D3><F=
ONT face=3DArial=20
size=3D2>&#8217;(&#8217; S&nbsp;? cp&nbsp;( S&nbsp;</FONT><FONT face=
=3DArial size=3D2>? &#8217;,&#8217;=20
S&nbsp;? cp&nbsp;</FONT><FONT face=3DArial size=3D2>)* S&nbsp;?=20
&#8217;)&#8217;</FONT></DIV></FONT>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>where S is the space character (' ') and Name is =
a string of=20
characters.&nbsp; </FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>As you can see the definition of "Attribute" does=
 not match=20
the gramatical definition of an element declaration, if "ANY" is </FO=
NT></DIV>
<DIV>not a Name.</DIV>
<DIV>&nbsp;</DIV>
<DIV>So, these are my questions to the list members:</DIV>
<DIV>&nbsp;</DIV>
<DIV><FONT size=3D2>Is ANY a Name? If it is, where is&nbsp;the defini=
tion of the=20
Name "ANY"?</FONT></DIV>
<DIV><FONT size=3D2>Is this a mistake?</FONT></DIV>
<DIV><FONT size=3D2>May be the parentheses of&nbsp; "( ANY )" are=
=20
wrong?</FONT></DIV>
<DIV><FONT size=3D2>Is April-2000&nbsp;the latest version of the RFC=
=20
2801?</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>Thank you.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>---</FONT></DIV>
<DIV><FONT size=3D2>Harald Barrera Dubois</FONT></DIV>
<DIV><FONT size=3D2>CRIPTOLAB Research Group. (<A=20
href=3D"http://tirnanog.ls.fi.upm.es">http://tirnanog.ls.fi.upm.es</A=
>=20
)</FONT></DIV>
<DIV><FONT size=3D2>Computer Science High School (<A=20
href=3D"http://www.fi.upm.es">http://www.fi.upm.es</A> )</FONT></DIV>
<DIV><FONT size=3D2>Politechnical University of Madrid </FONT><FONT s=
ize=3D2>(<A=20
href=3D"http://www.upm.es">http://www.upm.es</A> )</FONT></DIV>
<DIV><FONT size=3D2>SPAIN</FONT></DIV>
<DIV><FONT size=3D2><BR></FONT>&nbsp;</DIV></FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV></BODY></HTML>

--Boundary_(ID_ussdMZEX8UOhlsAdRH1ChA)--